#
# Conditional build:
%bcond_with 	tests	# perform "make check" (fails randomly)
%bcond_with	doc
#
Summary:	libunwind - a (mostly) platform-independent unwind API
Summary(pl.UTF-8):	libunwind - (prawie) niezależne od platformy API do rozwijania
Name:		libunwind
Version:	1.2.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/libunwind/%{name}-%{version}.tar.gz
# Source0-md5:	06ba9e60d92fd6f55cd9dadb084df19e
Patch0:		%{name}-link.patch
URL:		http://www.nongnu.org/libunwind/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
%ifarch %{x8664}
BuildRequires:	binutils >= 2:2.15.94.0.2.2
%endif
%{?with_doc:BuildRequires:	texlive-latex2man}
BuildRequires:	libtool >= 2:2.0
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	xz-devel
ExclusiveArch:	%{ix86} %{x8664} arm hppa ia64 mips ppc ppc64 sh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# some setjmp tricks expect non-redirected functions
%define		filterout_cpp	-D_FORTIFY_SOURCE=[0-9]+

# x86/x86_64/hppa/ia64
%ifarch	%{ix86}
%define	asuf	x86
%else
%ifarch	%{x8664}
%define	asuf	x86_64
%else
%define	asuf	%{_target_cpu}
%endif
%endif

%description
The goal of the libunwind project is to define a portable and
efficient C programming interface (API) to determine the call-chain
of a program.
 
%description -l pl.UTF-8
Celem projektu libunwind jest zdefiniowanie przenośnego i wydajnego
API w języku C do określania łańcucha wywołań w programie.

%package devel
Summary:	Header files for libunwind library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libunwind
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xz-devel

%description devel
Header files for libunwind library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libunwind.

%package static
Summary:	Static libunwind library
Summary(pl.UTF-8):	Statyczna biblioteka libunwind
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libunwind library.

%description static -l pl.UTF-8
Statyczna biblioteka libunwind.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# what needs additional -fPIC? libtool already uses it for shared objects
%configure \
	CFLAGS="%{rpmcflags} -fPIC"
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libunwind.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind.so.8
%attr(755,root,root) %{_libdir}/libunwind-coredump.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind-coredump.so.0
%attr(755,root,root) %{_libdir}/libunwind-ptrace.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind-ptrace.so.0
%attr(755,root,root) %{_libdir}/libunwind-setjmp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind-setjmp.so.0
%attr(755,root,root) %{_libdir}/libunwind-%{asuf}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind-%{asuf}.so.8

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libunwind.so
%attr(755,root,root) %{_libdir}/libunwind-coredump.so
%attr(755,root,root) %{_libdir}/libunwind-generic.so
%attr(755,root,root) %{_libdir}/libunwind-ptrace.so
%attr(755,root,root) %{_libdir}/libunwind-setjmp.so
%attr(755,root,root) %{_libdir}/libunwind-%{asuf}.so
%{_libdir}/libunwind.la
%{_libdir}/libunwind-coredump.la
%{_libdir}/libunwind-ptrace.la
%{_libdir}/libunwind-setjmp.la
%{_libdir}/libunwind-%{asuf}.la
%{_includedir}/libunwind*.h
%{_includedir}/unwind.h
%{_pkgconfigdir}/libunwind.pc
%{_pkgconfigdir}/libunwind-coredump.pc
%{_pkgconfigdir}/libunwind-generic.pc
%{_pkgconfigdir}/libunwind-ptrace.pc
%{_pkgconfigdir}/libunwind-setjmp.pc
%if %{with doc}
%{_mandir}/man3/_U_dyn_*.3*
%{_mandir}/man3/libunwind*.3*
%{_mandir}/man3/unw_*.3*
%endif

%files static
%defattr(644,root,root,755)
%{_libdir}/libunwind.a
%{_libdir}/libunwind-coredump.a
%{_libdir}/libunwind-generic.a
%{_libdir}/libunwind-ptrace.a
%{_libdir}/libunwind-setjmp.a
%{_libdir}/libunwind-%{asuf}.a
%changelog
* Sun Oct 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libunwind.git;a=log;h=master

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> a2221ab
- up to 1.2.1; no latex2man in PLD, so no manual pages

* Fri Oct 12 2012 Jakub Bogusz <qboosh@pld-linux.org> 39a6e59
- updated to 1.1
- added link patch (fixes libunwind-coredump and libunwind-ptrace linking)
- removed obsolete rpath,generic patches

* Mon Sep 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 2b3e47c
- updated to 1.0.1 (note: new sonames)

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 1ef5b95
- updated to 1.0
- dropped outdated disable-setjmp patch, added workaround for tricks vs glibc redirections
- added generic patch to fix libunwind-generic.so symlink creation
- more archs supported (arm mips ppc)

* Wed Sep 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 23e160a
- rel 2; rebuild with fPIC

* Tue Aug 31 2010 Bartłomiej Zimoń <cactus@pld-linux.org> 33dafe2
- rel 2; add disable setjmp patch - incompatible with gcc

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> db9c371
- up to 0.99

* Tue Aug 19 2008 Jakub Bogusz <qboosh@pld-linux.org> da114ef
- ghost soname symlinks
- static-onlu libunwind-ptrace.a moved to -devel

* Sun Aug 17 2008 Jakub Bogusz <qboosh@pld-linux.org> fbcb179
- outdated

* Mon Aug 11 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> f4772bf
- up to 0.98.6
- autotools
- removed merged to mainline patch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bbc714e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c79b993
- converted to UTF-8

* Sun Feb 26 2006 Paweł Sikora <pluto@pld-linux.org> 66a2e21
- gcc4 fix.

* Sun Feb 26 2006 Paweł Sikora <pluto@pld-linux.org> 5a1d18f
- fix struct pack.

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 0b50d9f
- use x8664 macro

* Sat Apr 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 87c53ab
- updated to 0.98.5 (bugfixes)

* Sat Feb 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 8e766e7
- dropped amd64 hack - BR fixed binutils

* Sat Feb 26 2005 Jakub Bogusz <qboosh@pld-linux.org> f5c7360
- updated to 0.98.4

* Sat Dec 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 1d04c85
- don't use protected as workaround for binutils bug on amd64; release 2

* Sun Nov 28 2004 Jakub Bogusz <qboosh@pld-linux.org> e2ee672
- EA: x86 amd64 hppa ia64

